﻿@using Umbraco.Cms.Web.Common.PublishedModels;
@inherits Umbraco.Cms.Web.Common.Views.UmbracoViewPage<ContentModels.NewsArea>
@using ContentModels = Umbraco.Cms.Web.Common.PublishedModels;
@{
    Layout = "_Layout.cshtml";
    var articles = Model
                        .Children<NewsArticle>()
                        .OrderByDescending(x => x.CreateDate);
}

<section class="section section--themed section--header section--content-center-bottom">
    <div class="section__hero-content">
        <!-- Replace with "PageName" value -->
        <h1 class="no-air">@Model.Name()</h1>
    </div>
</section>

<section class="section">

    <div class="container">

        <div class="col-md-9">



            <div class="articles">

                <!-- Start of news article listing -->
                @foreach (var article in articles)
                {
                    <a href="@article.Url()" class="article article-with-image">
                        <div class="article-info">
                            <div class="article-meta">
                                <small class="article-date">@article.CreateDate</small>
                                <small class="article-cat">@String.Join(", ", article.Value("category"))</small>
                            </div>
                            <h3 class="article-title">@article.Name()</h3>
                            <div class="article-excerpt">@article.Value("summary")</div>
                        </div>
                    </a>
                }
                <!-- End of article listing -->
            </div>
        </div>


    </div>
</section>